Commit 370a3b6a authored by Rolf Forst's avatar Rolf Forst
Browse files

Merge branch 'dev' into 'master'

Dev

See merge request !14
parents 9c7db225 01655fe2
......@@ -4,7 +4,7 @@
Plugin Name: RRZE Cache
Plugin URI: https://gitlab.rrze.fau.de/rrze-webteam/rrze-cache
Description: Advanced cache management.
Version: 2.6.0
Version: 2.6.1
Author: RRZE-Webteam
Author URI: https://blogs.fau.de/webworking/
License: GNU General Public License v2
......@@ -52,7 +52,7 @@ add_action('plugins_loaded', __NAMESPACE__ . '\loaded');
*/
function loadTextdomain()
{
load_plugin_textdomain('rrze-multilang', false, sprintf('%s/languages/', dirname(plugin_basename(__FILE__))));
load_plugin_textdomain('rrze-cache', false, sprintf('%s/languages/', dirname(plugin_basename(__FILE__))));
}
/**
......@@ -65,11 +65,11 @@ function systemRequirements(): string
$error = '';
if (version_compare(PHP_VERSION, RRZE_PHP_VERSION, '<')) {
$error = sprintf(__('The server is running PHP version %s. The Plugin requires at least PHP version %s.', 'rrze-multilang'), PHP_VERSION, RRZE_PHP_VERSION);
$error = sprintf(__('The server is running PHP version %s. The Plugin requires at least PHP version %s.', 'rrze-cache'), PHP_VERSION, RRZE_PHP_VERSION);
} elseif (version_compare($GLOBALS['wp_version'], RRZE_WP_VERSION, '<')) {
$error = sprintf(__('The server is running WordPress version %s. The Plugin requires at least WordPress version %s.', 'rrze-multilang'), $GLOBALS['wp_version'], RRZE_WP_VERSION);
$error = sprintf(__('The server is running WordPress version %s. The Plugin requires at least WordPress version %s.', 'rrze-cache'), $GLOBALS['wp_version'], RRZE_WP_VERSION);
} elseif (!is_multisite()) {
$error = __('The plugin is compatible only with WordPress Multisite.', 'rrze-multilang');
$error = __('The plugin is compatible only with WordPress Multisite.', 'rrze-cache');
}
return $error;
}
......@@ -124,7 +124,7 @@ function loaded()
$tag = is_plugin_active_for_network(plugin()->getBaseName()) ? 'network_admin_notices' : 'admin_notices';
add_action($tag, function () use ($pluginName, $error) {
printf(
'<div class="notice notice-error"><p>' . __('Plugins: %s: %s', 'rrze-multilang') . '</p></div>',
'<div class="notice notice-error"><p>' . __('Plugins: %s: %s', 'rrze-cache') . '</p></div>',
esc_html($pluginName),
esc_html($error)
);
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment